local lg = love.graphics
local tinsert = table.insert
local random = math.random

local mdx = 200
local mdy = 200
local spells = {}

function DeleteSpell(spell)
	spells[spell] = nil
end


local world = require "world"

--require "spell"
require "particle"

local recipe = require "recipe"
function love.mousepressed(x,y,button)
	if button == "r" then
		world:MousePressed(x,y,button)
	end
	
	local xdiff = x - mdx
	local ydiff = y - mdy
	local angle = math.atan2(xdiff,ydiff)
	NewParticle(world, recipe,spells,mdx,mdy,angle) --NewSpell(spells,recipe,mdx,mdy,angle)
	
end

function love.keypressed(key)
	recipe:keypressed(key)

end

 function love.update(dt)
 	world:Update(dt)
		for k,spell in pairs(spells) do
			spell:Update(dt)
		end
 end

 function love.draw()
 	local i = 0
 	world:Draw()
	for spell in pairs(spells) do
		i= i + 1
		spell:Draw()
	end
	lg.setColor(255,255,255,255)
	lg.print(i, 10,10)

	i = 0
	for k,v in pairs(recipe.prop) do
		i = i + 1
		lg.print(k..": "..v,520,15*i)
	end
 end
